AnyEvent::FTP::Server::Role::Type(3pm)

NAME
AnyEvent::FTP::Server::Role::Type - Type role for FTP server

VERSION
version 0.20

SYNOPSIS
 package AnyEvent::FTP::Server::Context::MyContext;

 use Moo;
 extends 'AnyEvent::FTP::Server::Context';
 with 'AnyEvent::FTP::Server::Role::Type';

DESCRIPTION
This role provides an interface for the FTP "TYPE" command.

ATTRIBUTES

  type
 my $type = $context->type;
 $context->type('A');
 $context->type('I');

The current transfer type 'A' for ASCII and I for binary.

COMMANDS

TYPE

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.